Bug 74253 - Need a driver for Highpoint HPT371 UMDA/ATA133 Controller for RHLinux 7.3
Summary: Need a driver for Highpoint HPT371 UMDA/ATA133 Controller for RHLinux 7.3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-18 18:57 UTC by Drew Thomas
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
img file for HPT371 UDMA/ATA133 Controller for RH Linux 7.2 (1.41 MB, application/octet-stream)
2002-09-18 19:07 UTC, Drew Thomas
no flags Details

Description Drew Thomas 2002-09-18 18:57:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Anaconda doesn't recognize my hard drive accelerator/controller. The 
installation disks don't include the driver, and the latest driver I can find 
from Highpoint was compiled for Red Hat Linux 7.2 (kernels 2.4.7-10). I can 
provide you with the .img file for 7.2 if that would be helpful. I urgently 
need a driver that will work with 7.3. When I try to load the 7.2 driver, I 
get the error msg: "failed to insert module hpt371"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run anaconda install
2.Hit Add Device button and then F2 to supply your own driver disk
3.put in driver disk for HPT371 UDMA/ATA133 controller for RH Linux 7.2
	

Actual Results:  got an error message: "failed to insert module hpt371" and 
then anaconda shuts down and reboots the system.

Expected Results:  anaconda should say "HPT371 UDMA/ATA133 Controller has been 
found. Select 'Done'"

Additional info:

The URL for Highpoint's Red Hat drivers is: www.highpoint-tech.com/drivers.htm

It's either the HPT371 chipset or the package for Rocket133s. This is a very 
standard component in contemporary PCs coming out, and Red Hat should supply a 
driver for it. I spoke to Support about this, and they told me this was the 
proper channel to submit my request.

Comment 1 Drew Thomas 2002-09-18 19:07:44 UTC
Created attachment 76546 [details]
img file for HPT371 UDMA/ATA133 Controller for RH Linux 7.2

Comment 2 Jeremy Katz 2002-09-20 20:08:50 UTC
Unfortunately, the hptraid stuff is actually just software raid, but telling the
difference but still allows the user to make partitions on the separate disks. 
So we can't really integrate support for them until we have a more foolproof way
to tell how you're using them.

Comment 3 Drew Thomas 2002-09-20 20:35:05 UTC
The HPT371 driver is not for RAID. It's a single hard drive accelerator device.

Comment 4 Jeremy Katz 2002-10-02 22:09:53 UTC
Assigning to kernel then (although I'm pretty sure the hpt371 is a "hardware"
raid controller)

Comment 5 Arjan van de Ven 2002-10-03 10:16:18 UTC
can you give "lspci" for the controller in question?

Comment 6 Drew Thomas 2002-10-04 18:31:34 UTC
what is an "lspci"? where would I find this information?

Comment 7 Arjan van de Ven 2002-10-04 18:34:30 UTC
lspci is a program that gives information about what pci devices you have


Comment 8 Drew Thomas 2002-10-04 21:18:47 UTC
All I've been able to find is "PCI Slot 3 (PCI bus 0, device 7, function 0)". 
I've obtained this thru Windows XP Device Manager. I am trying to create a 
dual boot machine with Linux on it as well. I can't install Linux because 
anaconda cannot detect my hard drive -- because there are no compatible 
drivers for the Highpoint Rocket 133S disk accelerator for this version of 
Linux.

I'm assuming lspci is some Linux program.

Hope this helps.

Comment 9 Bugzilla owner 2004-09-30 15:39:56 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.